Summary: An MP3 player for X which resembles Winamp.
Name: xmms
Version: 1.2.5
Release: 7
Epoch: 1
Copyright: GPL
Group: Applications/Multimedia
URL: http://www.xmms.org/
Source: http://www.xmms.org/files/1.2.x/%{name}-%{version}.tar.bz2
Source1: xmms.desktop
Source2: mp3license 
Source3: README.ESD 
Source4: xmmsarts-0.4.tar.bz2
Source5: xmms.req
Source6: xmms.xpm
Source7: xmmsskins-1.0.tar.gz
Patch1: xmms-1.2.4-audio.patch
Patch2: xmms-pluggedup.patch
Patch3: xmms-lazy.patch
Patch4: xmms-1.2.5-kde.patch
Patch5: xmmsarts-0.4-nocmallocc.patch
Patch7: xmms-1.2.5-vorbis-endian.patch
Patch8: xmms-1.2.5-nognome.patch
#Patch9: http://www3.big.or.jp/~sian/linux/products/xmms/xmms-1.2.5pre1j_20010601.diff.bz2
Requires: gtk+ >= 1.2.2
BuildRequires: arts-devel >= 1.0.3-1 gtk+-devel kdelibs-sound-devel esound-devel
	#gnome-libs-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes: x11amp0.7-1-1 x11amp

%define __find_requires %{SOURCE5}

%description
Xmms is a multimedia (MP3s, CDs) player for the X Window System with
an interface similar to Winamp's. Xmms supports playlists and
streaming content and has a configurable interface.

%package devel
Summary: Static libraries and header files for Xmms plug-in development.
Group: Development/Libraries
Obsoletes: x11amp-devel
Requires: %{name} = %{version}

%description devel
The static libraries and header files needed for building plug-ins for
the Xmms multimedia player.

#%package gnome
#Summary: A GNOME panel applet for the Xmms multimedia player.
#Group: Applications/Multimedia
#Requires: %{name} = %{version}

#%description gnome
#The xmms-gnome package contains a GNOME panel applet that allows you
#to control the Xmms multimedia player.

%package skins
Summary: Skins for the xmms multimedia player.
Group: Applications/Multimedia
Obsoletes: xmmsskins
Requires: %{name} = %{version}

%description skins
This is a collection of skins for the xmms multimedia player. The
skins were obtained from http://www.xmms.org/skins.html .

%prep
%setup -q -a 4
%patch1 -p1 -b .audio
%patch2 -p1 -b .pluggedup
%patch3 -p1 -b .lazy
%patch4 -p1 -b .kde
%patch5 -p1 -b .nocmallocc
%patch7 -p1 -b .vorbis-endian
%patch8 -p1 -b .nognome
#%patch9 -p1 -b .ja

%build
%configure --enable-kanji --enable-texthack
OLD_PO_FILE_INPUT=yes make

ln -snf ../libxmms/configfile.h xmms/configfile.h

cd xmms-arts-0.4
CFLAGS="$RPM_OPT_FLAGS -I.." %configure 
make

%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot}
cd xmms-arts-0.4
make install DESTDIR=%{buildroot}
cd ..

mkdir -p %{buildroot}%{_datadir}/xmms/Skins
pushd %{buildroot}%{_datadir}/xmms/Skins
  tar xvfz %{SOURCE7}
popd

mkdir -pv %{buildroot}/etc/X11/applnk/Multimedia/
install -m 644 $RPM_SOURCE_DIR/xmms.desktop \
 %{buildroot}/etc/X11/applnk/Multimedia

mkdir -p %{buildroot}%{_datadir}/pixmaps/mini
install xmms/xmms_logo.xpm %{buildroot}%{_datadir}/pixmaps
install xmms/xmms_mini.xpm %{buildroot}%{_datadir}/pixmaps/mini
install -m 644 $RPM_SOURCE_DIR/xmms.xpm %{buildroot}%{_datadir}/pixmaps

find %{buildroot} -type f -name "*.so*" -exec strip --strip-unneeded {} \;

%find_lang %{name}

%post -p /sbin/ldconfig  

%postun -p /sbin/ldconfig 

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL NEWS TODO README 
%doc $RPM_SOURCE_DIR/README.ESD
%{_bindir}/xmms
%{_bindir}/wmxmms
%{_libdir}/libxmms.so.1*
%dir %{_libdir}/xmms
%{_libdir}/xmms/Effect
%{_libdir}/xmms/General
%{_libdir}/xmms/Input
%{_libdir}/xmms/Output
%{_libdir}/xmms/Visualization
%config /etc/X11/applnk/Multimedia/xmms.desktop
%{_datadir}/pixmaps/xmms.xpm
%{_datadir}/pixmaps/xmms_logo.xpm
%{_datadir}/pixmaps/mini/xmms_mini.xpm
%dir %{_datadir}/xmms
%{_datadir}/xmms/*.xpm
%{_mandir}/man1/[wx]*

%files devel
%defattr(-,root,root)
%{_includedir}/xmms
%{_bindir}/xmms-config
%{_datadir}/aclocal/xmms.m4
%{_libdir}/lib*.a
%{_libdir}/lib*.so

#%files gnome
#%defattr(-,root,root)
#%{_bindir}/gnomexmms
#%{_datadir}/applets/Multimedia/gnomexmms.desktop
#%{_sysconfdir}/CORBA/servers/gnomexmms.gnorba
#%{_mandir}/man1/g*

%files skins
%defattr(-,root,root)
%{_datadir}/xmms/Skins

%changelog
* Tue Sep  4 2001 Bill Nottingham <notting@redhat.com>
- ship man pages (#53095)

* Mon Aug 20 2001 Bill Nottingham <notting@redhat.com>
- add patch to fix vorbis on big-endian machines (<havardk@xmms.org>)
- fix double ownership of files that made xmms-skins irrelevant (#51581)

* Mon Jul 23 2001 Bill Nottingham <notting@redhat.com>
- buildrequire gnome-libs-devel (#44849)

* Tue Jul 17 2001 Bill Nottingham <notting@redhat.com>
- own %%{_datadir}/xmms
- take out the realtime patch for now
- remove other obsoleted patches

* Tue Jul 17 2001 Preston Brown <pbrown@redhat.com>
- add audio/mpegurl to list of acceptable MimeTypes

* Tue Jun 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- change filelist to include link from lib major version number

* Wed Jun 20 2001 Preston Brown <pbrown@redhat.com>
- 1.2.5
- italian i18n patch disabled until a newer one available
- japanese patch disabled until there is one available for 1.2.5
- add OGG mimetype to .desktop file

* Wed Jun  6 2001 Bill Nottingham <notting@redhat.com>
- make it build

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- added skins subpackage
 
* Mon May 14 2001 Bill Nottingham <notting@redhat.com>
- remove extraneous printf in tmpdir patch
- add prototype for mpg123_munge_sample in downsample_vis patch

* Thu Apr 11 2001 Bill Nottingham <notting@redhat.com>
- rebuild to fix dependencies on ia64

* Tue Mar 20 2001 Bill Nottingham <notting@redhat.com>
- remove a couple of patches that are no longer needed (<havardk@xmms.org>)

* Tue Mar 20 2001 Harald Hoyer <harald@redhat.de>
- added euro patch to fix font loading

* Tue Mar 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix arts plugin installation

* Mon Mar 05 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include dirs

* Thu Mar  1 2001 Bill Nottingham <notting@redhat.com>
- fix arts pluging build to be self hosting (#30049)

* Thu Feb 22 2001 Bill Nottingham <notting@redhat.com>
- add recommended bugfixes from the XMMS team (<havardk@xmms.org>)

* Thu Feb  8 2001 Bill Nottingham <notting@redhat.com>
- fix tmpdir patch & skin saving (#26494)

* Thu Feb  1 2001 Bill Nottingham <notting@redhat.com>
- hack to fix visualization scope when downsampling (#19642)
- install xmms.xpm and fix icon entry in desktop,
  add some #include fixes (#20944, <tothwolf@concentric.net>)
- make realtime not make xmms perform *worse* (#23951)

* Thu Jan 18 2001 Bill Nottingham <notting@redhat.com>
- don't segfault on skin change (#24284)

* Mon Jan  8 2001 Bill Nottingham <notting@redhat.com>
- kill separate kde package

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add arts backend (new kde subpackage)
- Add a hack to determine whether arts, esd or oss should be used
- Fix requires
- Mark locale files

* Tue Jan  2 2001 Bill Nottingham <notting@redhat.com>
- clean up japanese support patch some
- don't enable transparenthack; it's broken
- fix possible temp race

* Mon Dec 25 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese resources.

* Tue Nov 28 2000 Bill Nottingham <notting@redhat.com>
- update to 1.2.4

* Mon Nov 13 2000 Bill Nottingham <notting@redhat.com>
- fix some compiler warnings (#20135)
- add Ogg Vorbis plugin

* Mon Oct 30 2000 Preston Brown <pbrown@redhat.com>
- even better .desktop file handling streaming MP3 types

* Mon Oct 16 2000 Bill Nottingham <notting@redhat.com>
- um, if we're going to ship a japanese translation, we should probably
  ship the .mo files
- add a patch for small files from Thomas Woller
- add alpha patches (#19141)

* Fri Oct 13 2000 Preston Brown <pbrown@redhat.com>
- improved .desktop file
- 1.2.3

* Thu Aug 31 2000 Satoru Sato <ssato@redhat.com>
- fix SPEC

* Wed Aug 30 2000 Satoru Sato <ssato@redhat.com>
- apply nls patch (by Hiroshi Takekawa <sian@big.or.jp>)

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Mon Aug  7 2000 Bill Nottingham <notting@redhat.com>
- rebuild against new DGA

* Fri Aug  4 2000 Bill Nottingham <notting@redhat.com>
- add translation to desktop entry

* Wed Jul 19 2000 Bill Nottingham <notting@redhat.com>
- version 1.2.2

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul  7 2000 Bill Nottingham <notting@redhat.com>
- use lazy symbol resolution in the plugin loader

* Mon Jun 18 2000 Bill Nottingham <notting@redhat.com>
- 1.2.1

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- some fixes to the .desktop entry

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- 1.2.0
- use rpm macros
- fix gnomexmms buildroot breakage

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild in new environment
- work around some toolchain madness

* Mon Mar 27 2000 Bill Nottingham <notting@redhat.com>
- include /usr/share/xmmms/wmxmms.xpm

* Tue Feb 22 2000 Bill Nottingham <notting@redhat.com>
- use /usr prefix to be consistent with xmms.org (why not?)
- find something more appropriate than the disk writer to use
  as output plugin if configured one doesn't exist

* Wed Feb 16 2000 Matt Wilson <msw@redhat.com>
- include /usr/X11R6/bin/wmxmms

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- some cleanups

* Mon Jan 31 2000 Bill Nottingham <notting@redhat.com>
- update to 1.0.1

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- update to 1.0.0

* Tue Sep 28 1999 Bill Nottingham <notting@redhat.com>
- update to 0.9.5.1

* Wed Sep 23 1999 Preston Brown <pbrown@redhat.com>
- latest stable release (0.9.5)

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- open in non-blocking mode, then reset
- make esd the default

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- fix binaries

* Thu Sep  9 1999 Bill Nottingham <notting@redhat.com>
- fix gtk+ requirements

* Wed Aug 18 1999 Bill Nottingham <notting@redhat.com>
- fix a /0 in the disk writer

* Tue Jul 20 1999 Bill Nottingham <notting@redhat.com>
- 0.9.1

* Mon Jun 21 1999 Bill Nottingham <notting@redhat.com>
- use other fallback patch
- obsolete x11amp-devel

* Fri Jun 11 1999 Matt Wilson <msw@redhat.com>
- updated to xmms 0.9 final

* Thu Apr 8 1999 The Rasterman <raster@redhat.com>
- patched to have plugin fallback to other plugins for output if plugin fails.

* Mon Mar 29 1999 Michael Maher <mike@redhat.com>
- added desktop entry.

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- made some changes to the spec file. 
- has 'esd' support now.
- stripped executables.

* Mon Feb 15 1999 Michael Maher <mike@redhat.com>
- built pacakge for 6.0
- changed spec file, added mp3 licenses.

* Mon Feb 15 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha3-1]
- Updated to alpha3 see ChangLog for changes.

* Wed Jan 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha2-1]
- fixed close button in PL/EQ windows
- fixed shuffel/randomize functions
- removed imlib, no need for imlib anymore
- mpg123 plugin now works on SMP machines, also reduced cpu usage
- fixed so mainwindow will be positioned correct at startup in some windowmanagers
- fixed the playlistwindow buttons that ended up behind the window
- added mikmod plugin into the source tree
- now you can configure the OSS drivers and mpg123 plugin
- SKINSDIR variable can be used again
- added bars as analyzer mode
- in playlistwindow the player control buttons now work, also time window works
